Subject: Re: bug#68244: hash-table improvements

From: Stefan Monnier <[email-masked]>
Date: Tue, 13 Feb 2024 07:43:50 -0500

> A more worrying problem is code that uses `obarray-make` but assumes the
> result to be vectors.  It may be unsafe to let obarray-make return an obarray
> object for that reason.

I don't think it'd be "unsafe": it just introduces a bit
of incompatibility.
But `obarrayp` has been with us since Emacs-25 and it's trivial to
change code using `vectorp`, so I wouldn't worry about it.

> With Stefan's suggestion, if I understood it right,
> we'd have `obarray-make` return (vector 0).

I did not suggest such a thing.

        Stefan